Kwalitee Issues

manifest_matches_dist

Run a proper command ("make manifest" or "./Build manifest", maybe with a force option), or use a distribution builder to generate the MANIFEST. Or update MANIFEST manually.

Error:

  • MANIFEST (79) does not match dist (78):
  • Missing in Dist: MYMETA.json

no_pod_errors

Remove the POD errors. You can check for POD errors automatically by including Test::Pod to your test suite.

Error: *** ERROR: unresolved internal link 'delete' at line 961 in file CGI-Session-4.48/lib/CGI/Session.pm *** ERROR: unresolved internal link 'clear' at line 961 in file CGI-Session-4.48/lib/CGI/Session.pm *** ERROR: unresolved internal link 'load' at line 1048 in file CGI-Session-4.48/lib/CGI/Session.pm *** ERROR: unresolved internal link 'is_empty' at line 1072 in file CGI-Session-4.48/lib/CGI/Session.pm *** ERROR: unresolved internal link 'is_expired' at line 1072 in file CGI-Session-4.48/lib/CGI/Session.pm

use_strict

Add 'use strict' (or its equivalents) to all modules, or convince us that your favorite module is well-known enough and people can easily see the modules are strictly written.

Error: CGI::Session::Tutorial

consistent_version

Split the distribution, or fix the version numbers to make them consistent (use the highest version number to avoid version downgrade).

Error: 4.43,4.44,4.47,4.48

meta_yml_declares_perl_version

If you are using Build.PL define the {requires}{perl} = VERSION field. If you are using MakeMaker (Makefile.PL) you should upgrade ExtUtils::MakeMaker to 6.48 and use MIN_PERL_VERSION parameter. Perl::MinimumVersion can help you determine which version of Perl your module needs.

use_warnings

Add 'use warnings' (or its equivalents) to all modules, or convince us that your favorite module is well-known enough and people can easily see the modules warn when something bad happens.

Error: CGI::Session, CGI::Session::Driver, CGI::Session::Driver::DBI, CGI::Session::Driver::db_file, CGI::Session::Driver::file, CGI::Session::Driver::mysql, CGI::Session::Driver::postgresql, CGI::Session::Driver::sqlite, CGI::Session::ErrorHandler, CGI::Session::ID::incr, CGI::Session::ID::md5, CGI::Session::ID::static, CGI::Session::Serialize::default, CGI::Session::Serialize::freezethaw, CGI::Session::Serialize::storable, CGI::Session::Test::Default, CGI::Session::Tutorial

has_separate_license_file

This is not a critical issue. Currently mainly informative for the CPANTS authors. It might be removed later.

Modules

Name Abstract Version View
CGI::Session persistent session data in CGI applications 4.48 metacpan
CGI::Session::Driver CGI::Session driver specifications 4.43 metacpan
CGI::Session::Driver::DBI Base class for native DBI-related CGI::Session drivers 4.43 metacpan
CGI::Session::Driver::db_file CGI::Session driver for BerkeleyDB using DB_File 4.43 metacpan
CGI::Session::Driver::file Default CGI::Session driver 4.43 metacpan
CGI::Session::Driver::mysql CGI::Session driver for MySQL database 4.43 metacpan
CGI::Session::Driver::postgresql PostgreSQL driver for CGI::Session 4.43 metacpan
CGI::Session::Driver::sqlite CGI::Session driver for SQLite 4.43 metacpan
CGI::Session::ErrorHandler error handling routines for CGI::Session 4.43 metacpan
CGI::Session::ID::incr CGI::Session ID driver 4.43 metacpan
CGI::Session::ID::md5 default CGI::Session ID generator 4.43 metacpan
CGI::Session::ID::static CGI::Session ID Driver for generating static IDs 4.44 metacpan
CGI::Session::Serialize::default Default CGI::Session serializer 4.43 metacpan
CGI::Session::Serialize::freezethaw serializer for CGI::Session 4.43 metacpan
CGI::Session::Serialize::storable Serializer for CGI::Session 4.43 metacpan
CGI::Session::Test::Default Run a suite of tests for a given CGI::Session::Driver 4.47 metacpan
CGI::Session::Test::SimpleObjectClass 0 metacpan
CGI::Session::Tutorial Extended CGI::Session manual 4.43 metacpan
OverloadedClass 0 metacpan

Other Files

Build.PL metacpan
Changes metacpan
MANIFEST metacpan
META.json metacpan
META.yml metacpan
Makefile.PL metacpan
README metacpan